Skip to main content
POST
/
api
/
jobs
Create job
curl --request POST \
  --url https://api.example.com/api/jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "job_type": "<string>",
  "job_name": "<string>",
  "source": "<string>",
  "destination": "<string>",
  "properties_json": "<string>",
  "schedule": "<string>"
}
'
{
  "job_type": "<string>",
  "job_name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "source": "<string>",
  "destination": "<string>",
  "properties_json": "<string>",
  "schedule": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
job_type
string
required

Defines the category of job. (Valid values: airflow.dataeng, airflow.nlp, airflow.ingest, mirror).

job_name
string
required

Specifies the name of the job.

source
string | null

Indicates where the data originates.

destination
string | null

Specifies where the data or output is sent or stored.

properties_json
string | null

Additional job properties in JSON format.

schedule
string | null

The cron expression that specifies how often the job must be executed.

Response

Job created successfully.

job_type
string
required

Defines the category of job. (Valid values: airflow.dataeng, airflow.nlp, airflow.ingest, mirror).

job_name
string
required

Specifies the name of the job.

id
string<uuid>
required

The unique ID of the created job.

status
string
required

The current status of the job immediately after creation.

created_at
string<date-time>
required

Timestamp when the job was created.

source
string | null

Indicates where the data originates.

destination
string | null

Specifies where the data or output is sent or stored.

properties_json
string | null

Additional job properties in JSON format.

schedule
string | null

The cron expression that specifies how often the job must be executed.